#!/usr/bin/env node
let argv=process.argv.slice(2);if(argv.includes("-h")||argv.includes("--help")){let s="";s+=`
  Usage
    $ tsm [options] -- <command>
`,s+=`
  Options`,s+=`
    --tsmconfig    Configuration file path (default: tsm.js)`,s+=`
    --quiet        Silence all terminal messages`,s+=`
    --version      Displays current version`,s+=`
    --help         Displays this message
`,s+=`
  Examples`,s+=`
    $ tsm server.ts`,s+=`
    $ node -r tsm input.jsx`,s+=`
    $ node --loader tsm input.jsx`,s+=`
    $ NO_COLOR=1 tsm input.jsx --trace-warnings`,s+=`
    $ tsm server.tsx --tsmconfig tsm.mjs
`,console.log(s),process.exit(0)}(argv.includes("-v")||argv.includes("--version"))&&(console.log("tsm, v2.0.0"),process.exit(0)),require("child_process").spawn("node",["--loader","tsm",...argv],{stdio:"inherit"}).on("exit",process.exit);
